Skip to main content
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
proposals
List all proposals for an account
curl --request GET \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals \
  --header 'Authorization: Bearer <token>' \
  --header 'x-grid-environment: <x-grid-environment>'
import requests

url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals"

headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "approved": [
        "<string>"
      ],
      "cancelled": [
        "<string>"
      ],
      "consensusAccount": "<string>",
      "consensusAccountType": "<string>",
      "proposalAddress": "<string>",
      "rejected": [
        "<string>"
      ],
      "status": "<string>",
      "statusTimestamp": 123,
      "blockTime": "2023-11-07T05:31:56Z",
      "lastModifiedSignature": "<string>",
      "mainAccountAddress": "<string>",
      "settingsAddress": "<string>",
      "transactionIndex": 123
    }
  ],
  "metadata": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Target Solana environment

Path Parameters

address
string
required

Smart account address

Query Parameters

status
string

Filter by proposal status

limit
integer<int32>

Limit the number of results (default: 50, max: 100)

Required range: x >= 0
cursor
string

Pagination cursor

showOnChainStatus
boolean

Return raw on-chain proposal status values

Response

Proposals retrieved successfully

data
object[]
required
metadata
object
required